package com.ytpm.question.service;

import com.ytpm.app.model.YtDyzUser;
import com.ytpm.app.param.WxLoginParam;
import com.ytpm.app.view.WxLoginResult;
import com.ytpm.app.view.WxUserInfo;

public interface AppUserService {
    /**
     * openid查询用户信息
     */
    YtDyzUser selectByOpenid(String openid, Long ditchId);

    /**
     * 子事务处理用户crud
     */
    YtDyzUser crudForNewTrans(WxLoginParam param, WxUserInfo wxUserInfo, WxLoginResult loginResult);

    /**
     * 新增体力
     */
    void addPower(String userId);
}
